#ifndef _RTCP_Packet_Handler_h
#define _RTCP_Packet_Handler_h

#include "Packet_Handler.h"
#include "RTCP_Packet.h"
#include "RTCP_Packet_Sink.h"

class RTCP_Packet_Handler : public Packet_Handler
{
public:
    
    RTCP_Packet_Handler(ACE_SOCK_Dgram *sock, RTCP_Packet_Sink *sink);
    ~RTCP_Packet_Handler(void);

    virtual char *get_buffer(int *size);
    virtual int handle_packet(char *buffer, int size, ACE_INET_Addr &from);

#if 0
    virtual void handle_sr(RTCP_Packet::RTCP_Header *header,
			   RTCP_Packet::Sender_Info *sender_info,
			   int n_report_blocks,
			   RTCP_Packet::Report_Block *report_blocks);

    virtual void handle_rr(RTCP_Packet::RTCP_Header *header,
			   int n_report_blocks,
			   RTCP_Packet::Report_Block *report_blocks);

    virtual void handle_sdes(RTCP_Packet::RTCP_Header *header,
			     int n_entries,
			     RTCP_Packet::SDES *entries);

    virtual void handle_bye(RTCP_Packet::RTCP_Header *header,
			    int n_entries,
			    unsigned long *entries);
#endif		    

protected:

    RTCP_Packet packet_buffer_;
    RTCP_Packet_Sink *packet_sink_;
};

#endif /*  _Packet_Handler_h */
