#ifndef _RTP_Packet_Handler_h
#define _RTP_Packet_Handler_h

#include "Packet_Handler.h"
#include "RTP_Packet.h"
#include "RTP_Packet_Sink.h"

class RTP_Packet_Handler : public Packet_Handler
{
public:
    
    RTP_Packet_Handler(ACE_SOCK_Dgram *sock,
		       RTP_Packet_Sink *sink);
    ~RTP_Packet_Handler(void);

    virtual int handle_packet(char *buffer, int size, ACE_INET_Addr &from);
    virtual char *get_buffer(int *size);

#if 0
    virtual void handle_jpeg(RTP_Packet::RTP_Header *hdr,
			     RTP_Packet::JPEG_Header *jpeg_hdr,
			     int frame_size,
			     char *frame);
#endif

protected:

    RTP_Packet packet_buffer_;
    RTP_Packet_Sink *packet_sink_;
};

#endif /*  _Packet_Handler_h */
