#include "Writer.h"

static nexus_handler_t pwriter_handlers[] =
{ \
  {"add_client", 10, NEXUS_HANDLER_TYPE_NON_THREADED,
       (nexus_handler_func_t) Writer::add_client_handler},
  {"add_file", 808, NEXUS_HANDLER_TYPE_NON_THREADED,
       (nexus_handler_func_t) Writer::add_file_handler},
  {"add_file", 808, NEXUS_HANDLER_TYPE_NON_THREADED,
       (nexus_handler_func_t) Writer::add_file_handler},
  {"remove_file", 144, NEXUS_HANDLER_TYPE_NON_THREADED,
       (nexus_handler_func_t) Writer::remove_file_handler},
  {"add_destination", 557, NEXUS_HANDLER_TYPE_NON_THREADED,
       (nexus_handler_func_t) Writer::add_destination_handler},
  {"remove_destination", 914, NEXUS_HANDLER_TYPE_NON_THREADED,
   (nexus_handler_func_t) Writer::remove_destination_handler},
  {"start", 558, NEXUS_HANDLER_TYPE_NON_THREADED,
   (nexus_handler_func_t) Writer::start_handler},
  {"stop", 454, NEXUS_HANDLER_TYPE_NON_THREADED,
   (nexus_handler_func_t) Writer::stop_handler},
  {"reset", 547, NEXUS_HANDLER_TYPE_NON_THREADED,
   (nexus_handler_func_t) Writer::reset_handler},
  {"quit", 451, NEXUS_HANDLER_TYPE_NON_THREADED,
   (nexus_handler_func_t) Writer::quit_handler},
  {(char *) NULL,
       0,
       NEXUS_HANDLER_TYPE_NON_THREADED,
       (nexus_handler_func_t) NULL},
};
  

void register_handlers(void)
{
    nexus_register_handlers(pwriter_handlers);
}
