#include "nexus.h"

void send_callback(nexus_global_pointer_t *gp, char *handler, char *msg)
{
    nexus_buffer_t buf;
    int len;
    int size, n_elts, e;
    
    nexus_init_remote_service_request(&buf, gp, handler,
				      nexus_handler_hash(handler));

    len = strlen(msg);
    
    size = n_elts = 0;
    size += nexus_sizeof_int(&buf, 1);
    n_elts += 1;
    
    size += nexus_sizeof_char(&buf, len);
    n_elts += 1;
    
    nexus_set_buffer_size(&buf, size, n_elts);
    nexus_put_int(&buf, &len, 1);
    nexus_put_char(&buf, msg, len);
//    printf("Sending callback %s\n", msg);
    nexus_send_remote_service_request(&buf);
}
