#include "Packet_Handler.h"

#include "ace/INET_Addr.h"

Packet_Handler::Packet_Handler(ACE_SOCK_Dgram *sock) : socket_(sock)
{
}

Packet_Handler::~Packet_Handler(void)
{
}

int Packet_Handler::handle_input(ACE_HANDLE fd)
{
    int retcode;
    char *buf;
    int buf_size;
    ACE_INET_Addr remote_addr;
    ACE_INET_Addr addr;

    buf = this->get_buffer(&buf_size);
    
    retcode = socket_->recv(buf, buf_size, remote_addr);

    if (retcode != -1)
    {
	int rc;

	rc = handle_packet(buf, retcode, remote_addr);
	return rc;
    }
    else
	return -1;
}

ACE_HANDLE Packet_Handler::get_handle(void) const
{
    return socket_->get_handle();
}
