#ifndef _reflector_h
#define _reflector_h

class Reflector_Destination
{
public:
    Reflector_Destination(char *address, unsigned short port);
    ~Reflector_Destination();

    void send_rtp_packet(ACE_INET_Addr &source, char *packet, int len);
    void send_rtcp_packet(ACE_INET_Addr &source, char *packet, int len);

    int hash();
    Reflector_Destination *next;

protected:

    char *address_;
    unsigned short port_;
    INET_Address rtp_address_;
    INET_Address rtcp_address_;
};

class Reflector_Destination_Hash
{
public:
    Reflector_Destination_Hash(int size = 2053);

    void add(Reflector_Destination *);
    void remove(Reflector_Destination *);

protected:
    Reflector_Destination **buckets_;
    int n_buckets_;
};

#endif
